> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/ja/sdk/march-2026/nfc-wallet-sdk-android-6.14.0.md).

# NFC Wallet SDK (Android) v6.14.0

### サポートされるプラットフォームとアーキテクチャ

* Android 8.1以降
* アーキテクチャ： `arm64-v8a`, `armeabi-v7a`, `x86_64`、および `x86`

#### ✨ 新機能

* PURE向けのウォレット取引データのサポートを追加。
* Visa/PUREの共同ブランドカード向けにイエローフローをサポート。

#### 🐛 バグ修正

* アクティベーションコードのデコード中に発生していたクラッシュを修正。
* AIPやAFLを含むVisa ODA GPOの値を、ハードコードされたネイティブ値ではなく、Visa仕様1.8.4で定義されているとおりプロファイルから読み込むよう修正。
* 修正 `NullPointerException` の `EnrollingServiceListener.onError()`.
* 修正 `NullPointerException` 中に `processIncomingMessage()` contextがnullの場合。
* デフォルトの `walletTransactionData` の処理を修正 `walletTransactionData` がエフェメラルモードで渡された場合。
* SDKリスナーのメモリリークを修正。
* 修正 `getAllCards()` で破損したカードをスキップするように。
* イエローフローでカード登録が失敗した際の追加カードポーリングを修正。
* 共同ブランドカードが削除されたときに、存在しないカードデータを削除する処理を修正。

#### 🔧 改善

* 新しいAPIを追加 `LogService` を使用してログを管理。
* ウォレット取引データを管理するためのAPIを更新。

#### ⚠️ 非推奨化と重大な変更

* セキュアログAPIは非推奨です。次の `LogService` ログを管理するAPI
* ウォレット取引データを管理するAPIが更新されました。以下の操作は現在非推奨です：
  * `DigitalizedCard.setWalletTransactionData(WalletTransactionData)`
  * `DigitalizedCard.getWalletTransactionData()`
  * `PaymentBusinessService.setWalletTransactionData(WalletTransactionData)`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/release-notes/ja/sdk/march-2026/nfc-wallet-sdk-android-6.14.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
